Bug 1200183

Summary: Rebuild needed for MUMPS soname bump
Product: [Fedora] Fedora Reporter: Rich Mattes <richmattes>
Component: coin-or-IpoptAssignee: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: anto.trande, paulo.cesar.pereira.de.andrade
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: coin-or-Ipopt-3.12.1-4.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-21 04:51:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rich Mattes 2015-03-09 23:24:38 UTC
Description of problem:
MUMPS has been updated from 4.10 to 5.0 in f21, with a corresponding soname bump.  coin-or-Ipopt needs to be rebuilt against the new version of MUMPS.

Version-Release number of selected component (if applicable):
coin-or-Ipopt-3.12.0-1.fc21.x86_64

How reproducible:
Attempt to install coin-or-Ipopt on fedora 21

Steps to Reproduce:
1. yum install coin-or-Ipopt

Actual results:
Resolving Dependencies
--> Running transaction check
---> Package coin-or-Ipopt.x86_64 0:3.12.0-1.fc21 will be installed
--> Processing Dependency: libdmumps-4.10.0.so()(64bit) for package: coin-or-Ipopt-3.12.0-1.fc21.x86_64
--> Finished Dependency Resolution
Error: Package: coin-or-Ipopt-3.12.0-1.fc21.x86_64 (updates)
           Requires: libdmumps-4.10.0.so()(64bit)
           Available: MUMPS-4.10.0-24.fc21.x86_64 (fedora)
               libdmumps-4.10.0.so()(64bit)
           Available: MUMPS-openmpi-4.10.0-24.fc21.x86_64 (fedora)
               libdmumps-4.10.0.so()(64bit)
           Installed: MUMPS-5.0.0-2.fc21.x86_64 (@updates)
              ~libdmumps-5.0.0.so()(64bit)
           Installed: MUMPS-openmpi-5.0.0-2.fc21.x86_64 (@updates)
              ~libdmumps-5.0.0.so()(64bit)


Expected results:
Successful installation

Additional info:
None

Comment 1 Fedora Update System 2015-03-10 12:04:34 UTC
coin-or-Ipopt-3.12.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.12.1-4.fc21

Comment 2 Fedora Update System 2015-03-12 16:35:01 UTC
Package coin-or-Ipopt-3.12.1-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coin-or-Ipopt-3.12.1-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3575/coin-or-Ipopt-3.12.1-4.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-03-21 04:51:44 UTC
coin-or-Ipopt-3.12.1-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.